Bug 21223 - Install fails during post install due to lack of disk space
Install fails during post install due to lack of disk space
Status: CLOSED DUPLICATE of bug 21029
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-21 22:38 EST by Charles Galpin
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-22 12:23:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Galpin 2000-11-21 22:38:46 EST
bootnet/text/custom minimal install (firewall) onto 540 MB HD. root
partition 45 MB. Diuring the post install step, anaconda died with the
following error. Subsequent re-install with a larger / partition succeeded,
and reveals the used space on / was 38MB (leaving 7MB available). 

[root@kanga /install]# cat /tmp/anacdump.txt 
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1631, in
doInstall
    self.fstab.write (self.instPath)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 725, in
write
    f = open (prefix + "/etc/fstab", "w")
IOError: [Errno 28] No space left on device: '/mnt/sysimage/etc/fstab'

Local variables in innermost frame:
format: %-23s %-23s %-7s %-15s %d %d

prefix: /mnt/sysimage
self: <fstab.NewtFstab instance at 8209c18>

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
NfsInstallMethod
p4
(dp5
S'tree'
p6
S'/mnt/source/.'
sbsS'initlevel'
p7
I3
sS'skipLilo'
p8
I0
sS'progressWindow'
p9
(itext
ProgressWindow
(dp10
S'scale'
p11
(isnack
Scale
(dp12
S'w'

<failed>
Comment 1 Michael Fulbright 2000-11-22 12:23:30 EST
You need to make your '/' partition larger. For such a small drive I would
recommend only having as small a swap as required and a '/' partition for the rest.

The reason is 'ran out of space' is because it ran out of inodes. Do a 'df -i'
and you'll see this is the case.


*** This bug has been marked as a duplicate of 21029 ***

Note You need to log in before you can comment on or make changes to this bug.